Bug 162803 - Opening very large heap dump is unnecessary slow
Opening very large heap dump is unnecessary slow
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 10:45 UTC by Tomas Hurka
Modified: 2009-05-22 14:05 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2009-04-16 10:45:37 UTC
Opening the heap dump with more than 48,800,000 instances is unnecessary slow on 64bit JVM. 64bit JVM can map LongMap into memory. Current 
implementation fall back to file access if the backing file for LongMap is bigger than Integer.MAX_VALUE.
Comment 1 Tomas Hurka 2009-04-16 10:50:10 UTC
Fixed in profiler-main

changeset:   126982:0d92ccb3daa3
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Apr 16 11:48:40 2009 +0200
summary:     bugfix #162803, try to use memory-mapped file even if file size is bigger than Integer.MAX_VALUE

Comment 2 Quality Engineering 2009-04-17 19:54:09 UTC
Integrated into 'main-golden', will be available in build *200904171401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/0d92ccb3daa3
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #162803, try to use memory-mapped file even if file size is bigger than Integer.MAX_VALUE


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo